## kipi-plugins 1.4.0

=== debian/changelog ===
kipi-plugins (1.4.0-0ubuntu2) maverick; urgency=low

  * Recommend imagemagick before graphicsmagick, keeps DVD building
    happy

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Sep 2010 11:34:19 +0100

kipi-plugins (1.4.0-0ubuntu1) maverick; urgency=low

  [ Alessandro Ghersi ]
  * kipi-plugins-common replaces/conflicts kipi-plugins << 1.3.0

  [ Felix Geyer ]
  * New upstream release.
  * Drop fix-ftbfs-glib-2.25.diff, applied upstream.
  * Refresh sendimages-icedove.diff.
  * Switch to source format 3.0 (quilt) so we can use bz2 upstream tarballs.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 26 Aug 2010 19:33:41 +0200

kipi-plugins (1.3.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 13 Jun 2010 01:07:38 +0200

kipi-plugins (1.2.0-2ubuntu2) maverick; urgency=low

  * Drop the RemoveRedEyes plugin from the package description as it depends on
    libcv-dev.
  * Re-add build-dep on libgtk.
    - Add fix-ftbfs-glib-2.25.diff to fix build failure.
  * Build-dep on libgpod-dev instead of libgpod-nogtk-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 07 Jun 2010 11:04:37 +0200

kipi-plugins (1.2.0-2ubuntu1) maverick; urgency=low

  * Merge with Debian, remaining changes:
   - Different MD5 sum on the .orig.tar.gz
   - export KUBUNTU_DESKTOP_POT
   - Remove build-dep on libcv-dev, libcvaux-dev, libhighgui-dev, failed MIR
     http://launchpad.net/bugs/324523
  * Move hugin, enblend, enfuse from recommends to suggests
  * kipi-plugins-common replaces << 1.2.0-0ubuntu1
  * Don't build-dep on libgtk, causes build failure

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 May 2010 11:02:10 +0000

kipi-plugins (1.2.0-2) unstable; urgency=low

  * Unstable upload for KDE SC 4.4.3 (Closes: 579984) 

 -- Mark Purcell <msp@debian.org>  Mon, 03 May 2010 19:35:51 +1000

kipi-plugins (1.2.0-1) experimental; urgency=low

  * New upstream release 
    - Fixed Upstream "[digikam] Cannot export to Flash" (Closes: #566848)
    - Fixed Upstream ""Mozilla" MUA option is broken" (Closes: #561845)
  * NEW kipi-plugins-common: fixes arch-dep-package-has-big-usr-share
  * Removed fix_endian_detection.diff - included upstream
  * Marcus Better patch for Debian Icedove MUA support (Closes: #561844)
  * Add Build-Depends: libcv-dev, libhighgui-dev - RemoveRedEyes 
  * Realign Build-Depends: to match upstream README (Closes: #568789)
  * Add Recommends: hugin, enblend, enfuse - used (runtime) ExpoBlending
  * Minor lintian cleanups
  * Drop empty-binary-package kipi-plugins-doc

 -- Mark Purcell <msp@debian.org>  Thu, 08 Apr 2010 10:45:31 +1000

kipi-plugins (1.1.0-1) unstable; urgency=low

  * New upstream release 
    - ExpoBlending : New tool to make pseudo HDR image
      + Awaiting libkdcraw>=1.0.0
    - PrintAssistant : New custom grid layout.
    - PrintAssistant : Filling page with custom size images.
  * Fix "bad Vcs-Svn header" Update debian/control (Closes: #561842)
  * Added Build-Depends: libgpod4-nogtk-dev (Closes: #565286)
  * Add Build-Depends: libhighgui-dev

 -- Mark Purcell <msp@debian.org>  Wed, 03 Feb 2010 08:51:28 +0100

kipi-plugins (1.2.0-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #560579)
  * Remove fix_endian_detection.diff, fixed upstream
  * Update kipi-plugins.install, new expoblending feature
    - Add hugin and enblend to Suggests, runtime dependencies
      Differs from what Debian does, we sould solve this for maverick
    - Do not add expoblending.desktop, we do not want a link in kickoff
    - Update not-installed

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 12 Apr 2010 20:28:10 +0200

kipi-plugins (1.0.0-1ubuntu2) lucid; urgency=low

  * Rebuild to fix broken pot file (LP: #529483)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Mar 2010 23:34:25 +0100

kipi-plugins (1.0.0-1ubuntu1) lucid; urgency=low

  * Merge with debian unstable, remaining changes:
    - Do not build-dep on libcvaux-dev, not (yet) in main
    - Swap imagemagick/graphicsmagick depends to keep 
      component-mismatches happy
    - Export .pot file in debian/rules
    - Karmic does not have latest debhelper and pkg-kde-tools:
      - Loosen debhelper/pkg-kde-tools versioned build-deps
      - Add cdbs to build-deps
      - Add kde.mk and debhelper.mk to debian/rules

 -- Luka Renko <lure@ubuntu.com>  Tue, 22 Dec 2009 22:39:26 +0100

kipi-plugins (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - Add libcvaux-dev build dependency to detect libopencv successfully and
      enable removeredeyes plugin.
  * Update debian/kipi-plugins.install:
    - Add scangui binary.

 -- Fathi Boudra <fabo@debian.org>  Tue, 22 Dec 2009 11:15:51 +0100

kipi-plugins (0.9.0-1ubuntu2) lucid; urgency=low

  * Switch build-dep on libkipi6-dev, libkexiv2-7-dev, and libkdcraw7-dev to
    libkipi7-dev, libkexiv2-8-dev, libkdcraw8-dev (kdegraphics 4.3 -> 4.4)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 Dec 2009 10:00:21 -0500

kipi-plugins (0.9.0-1ubuntu1) lucid; urgency=low

  * Merge with debian unstable, remaining changes:
    - Do not build-dep on libcv-dev, not in main
    - Swap imagemagick/graphicsmagick depends to keep component-mismatches happy
    - Export .pot file in debian/rules
    - Karmic does not have latest debhelper and pkg-kde-tools:
      - Loosen debhelper/pkg-kde-tools versioned build-deps
      - Add cdbs to build-deps
      - Add kde.mk and debhelper.mk to debian/rules

 -- Luka Renko <lure@ubuntu.com>  Sun, 06 Dec 2009 20:58:31 +0100

kipi-plugins (0.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Mark Purcell <msp@debian.org>  Wed, 02 Dec 2009 19:37:51 +1100

kipi-plugins (0.8.0-1ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:02 +0000

kipi-plugins (0.8.0-1ubuntu2) lucid; urgency=low


