=== debian/control ===
Source: kipi-plugins
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Achim Bohnet <ach@mpe.mpg.de>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), pkg-config, cmake,
 libqt4-dev, libqt4-opengl-dev, libgl1-mesa-dev, libglu1-mesa-dev,
 libgphoto2-2-dev,
 kdelibs5-dev, kdepimlibs5-dev,
 libkipi-dev, libkexiv2-dev, libkdcraw-dev,
 libexiv2-dev,
 libgtk2.0-dev,
 libltdl3-dev, libpng-dev, libtiff4-dev, libjpeg-dev,
 libxslt1-dev | libxslt-dev, libxml2-dev,
 libx11-dev, libxrandr-dev, libexpat1-dev | libexpat-dev,
 libgpod-dev,
 libqca2-dev,
 libsane-dev, libksane-dev (>= 4:4.2.0)
Standards-Version: 3.8.4
Homepage: http://www.kipi-plugins.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kipi-plugins/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kipi-plugins/ubuntu
XS-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kipi-plugins/trunk
XS-Debian-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kipi-plugins/trunk

Package: kipi-plugins
Replaces: digikamplugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kipi-plugins-common (= ${source:Version})
Recommends: imagemagick (>= 5.4.8) | graphicsmagick-imagemagick-compat (>= 1.1.7), konqueror
Suggests: gallery, gimp, kmail, vorbis-tools, hugin, enblend, enfuse
Enhances: digikam, gwenview, kphotoalbum, showimg
Description: image manipulation/handling plugins for KIPI aware programs
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for Digikam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.
 .
 Current plugins ported to Qt4/KDE4:
 .
  AcquireImages      : acquire images using flat scanner
  Calendar           : create calendars
  DngConverter       : convert Raw Image to Digital NeGative
  Facebook           : import/export images to a remote Facebook web service
  FlickrExport       : export images to a remote Flickr/23hq web service
  GalleryExport      : export images to a remote Gallery2 server
  GPSSync            : geolocalize pictures
  HTMLExport         : export images collections into a static XHTML
  ImageViewer        : preview images using OpenGL
  JpegLossLess       : rotate/flip images without losing quality
  MetadataEdit       : edit EXIF, IPTC and XMP metadata
  PicasaWebExport    : export images to a remote Picasa web service
  PrintImage         : print images in various format
  RawConverter       : convert Raw Image to JPEG/PNG/TIFF
  SendImages         : send images by e-mail
  SimpleViewerExport : export images to Flash using SimpleViewer
  SlideShow          : Slide images with 2D and 3D effects using OpenGL
  Smug               : import/export images to a remote SmugMug web service
  TimeAdjust         : adjust date and time
  IpodExport         : export pictures to an Ipod device
  BatchProcess       : batch process images (convert, resize, rename, etc.)
  KIOExport          : export images to remote computer using network protocol
  Shwup              : export images to Shwup web service 
  ExpoBlending       : create pseudo HDR image with a stack of bracketed images
  PiwigoExport       : export images to a remote Piwigo (PHPWebGallery) server 
 .
 Porting under progress to Qt4/KDE4:
 .
  WallPaper          : set image as background on your desktop
 .
 Not yet ported to Qt4/KDE4:
 .
  CDArchiving        : archive your image collections to a CD or DVD
  MpegEncoder        : create an MPEG slideshow with a set of images

Package: kipi-plugins-common
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Replaces: kipi-plugins (<< 1.3.0)
Conflicts: kipi-plugins (<< 1.3.0)
Description: kipi-plugins architecture-independent data
 The architecture independent data needed for the kipi-plugins package.
