=== debian/rules ===
#!/usr/bin/make -f

export KUBUNTU_DESKTOP_POT=extragear-graphics_kipi-plugins

%:
	dh --with kde --list-missing $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_auto_test
