=== debian/watch ===
# See uscan(1) for format
version=3
opts=uversionmangle=s/-/~/ \
  http://sf.net/kipi/kipi-plugins-(.*)\.tar\.bz2 debian svn-upgrade

opts=uversionmangle=s/-/~/ \
 http://digikam3rdparty.free.fr/0.10.x-releases/kipi-plugins-(.*)\.tar\.bz2 debian svn-upgrade
