=== debian/changelog ===
kipi-plugins (4:19.12.3-1ubuntu2) focal; urgency=medium

  * Fix filename typo in upstream appsteam patch.

 -- Rik Mills <rikmills@kde.org>  Sun, 29 Mar 2020 13:33:00 +0100

kipi-plugins (4:19.12.3-1ubuntu1) focal; urgency=medium

  * Add upstream_add-appstream-file.patch to provide missing appstreamn
    data.

 -- Rik Mills <rikmills@kde.org>  Sun, 29 Mar 2020 12:52:00 +0100

kipi-plugins (4:19.12.3-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Mar 2020 22:57:22 +0100

kipi-plugins (4:19.12.2-1) experimental; urgency=medium

  [ Jonathan Riddell ]
  [ Pino Toscano ]
  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Feb 2020 23:25:44 +0100
