=== debian/control ===
Source: kipi-plugins
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.0.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.18.0~),
               gettext,
               libkf5archive-dev (>= 5.18.0~),
               libkf5config-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5kio-dev (>= 5.18.0~),
               libkf5kipi-dev,
               libkf5mediawiki-dev,
               libkf5windowsystem-dev (>= 5.18.0~),
               libkf5xmlgui-dev (>= 5.18.0~),
               libqt5svg5-dev (>= 5.6.0~),
               libqt5xmlpatterns5-dev (>= 5.6.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.0~),
Standards-Version: 4.5.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kipi-plugins.git

Package: kipi-plugins
Architecture: any
Multi-Arch: same
Depends: kipi-plugins-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: imagemagick, hugin, enblend, enfuse, minidlna
Suggests: gimp, kmail, konqueror, vorbis-tools
Enhances: gwenview, kde-spectacle, kphotoalbum
Description: image manipulation/handling plugins for KIPI aware programs
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for digiKam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.

Package: kipi-plugins-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: kipi-plugins architecture-independent data
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for digiKam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.
 .
 The architecture independent data needed for the kipi-plugins package.
