## kipi-plugins 20.08.1

=== debian/changelog ===
kipi-plugins (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:54:25 +0100

kipi-plugins (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Do not ship NEWS, as it is basically empty.
  * Do not enhance kphotoalbum, as it does not use KIPI anymore.
  * Stop mentioning application names in the descriptions.
  * Do not manually link in as-neeed mode, as it is the binutils default now.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 12:16:14 +0200

kipi-plugins (4:20.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add Rules-Requires-Root: no.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Aug 2020 10:12:05 +0200
